Endpoint
PUT
/backend/leads/{id}Path Parameters
string
required
Lead ID
Body Parameters
string
Lead’s full name
string
Phone with country code
string
Email address
string
Company name
string
Status ID
object
Custom field values
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update an existing lead
/backend/leads/{id}curl -X PUT "https://api.leavo.ai/backend/leads/lead-uuid" \
-H "Authorization: Bearer your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "John Smith Jr",
"company": "New Company",
"status_id": "new-status-uuid"
}'
const response = await fetch('https://api.leavo.ai/backend/leads/lead-uuid', {
method: 'PUT',
headers: {
'Authorization': 'Bearer your_api_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'John Smith Jr',
company: 'New Company',
status_id: 'new-status-uuid'
})
});
{
"success": true,
"data": {
"id": "lead-uuid",
"name": "John Smith Jr",
"phone": "+15551234567",
"email": "john@example.com",
"company": "New Company",
"status": {
"id": "new-status-uuid",
"name": "Qualified",
"color": "#3B82F6"
},
"updated_at": "2024-01-15T14:00:00Z"
}
}